package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.dto.RoomCodeExportDto;
import com.qmth.themis.business.dto.response.TBExamInvigilateUserDto;
import com.qmth.themis.business.entity.TBExamInvigilateUser;

import java.util.List;
import java.util.Map;

/**
 * @Description: 监考员设置 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/9
 */
public interface TBExamInvigilateUserService extends IService<TBExamInvigilateUser> {

    /**
     * 查询监考员
     *
     * @param iPage
     * @param examId
     * @param roomCode
     * @param userId
     * @return
     */
    public IPage<TBExamInvigilateUserDto> examInvigilateUserQuery(IPage<Map> iPage, Long examId, String roomCode, Long userId);

    /**
     * 监考员导出
     *
     * @return
     */
    public List<RoomCodeExportDto> examInvigilateUserExport();
}
