package com.qmth.themis.business.templete.service;

import com.qmth.themis.business.dto.RoomCodeExportDto;
import org.springframework.util.LinkedMultiValueMap;

import java.util.List;
import java.util.Map;

/**
 * @Description: 导入导出模版处理逻辑
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/31
 */
public interface TempleteLogicService {

    /**
     * 考生导入逻辑
     *
     * @param finalList
     * @param map
     * @return
     */
    public Map<String, Object> execImportExamStudentLogic(List<LinkedMultiValueMap<Integer, Object>> finalList, Map<String, Object> map);

    /**
     * 考场导入逻辑
     *
     * @param finalList
     * @param map
     * @return
     */
    public Map<String, Object> execImportRoomCodeLogic(List<LinkedMultiValueMap<Integer, Object>> finalList, Map<String, Object> map);

    /**
     * 考场导出逻辑
     *
     * @param map
     * @return
     */
    public Map<String, Object> execExportRoomCodeLogic(Map<String, Object> map);
}
