package com.qmth.themis.common.contanst;

import com.qmth.themis.common.uid.UidGenerator;

import java.nio.charset.Charset;

public interface Constants {

    public static final String CLOUD_HOST = "https://www.teach-cloud.com";

    public static final int SIGNATURE_EXPIRE_SECONDS = 15;

    public static final int SIGNATURE_AHEAD_SECONDS = 5;

    public static final int VERIFY_TOKEN_EXPIRE_SECONDS = 30;

    public static final String DEFAULT_DATE_PATTERN = "yyyy-MM-dd HH:mm:ss";

    public static final String CHARSET_NAME = "utf8";

    public static final Charset CHARSET = Charset.forName(CHARSET_NAME);

    public static final String HEADER_AUTHORIZATION = "Authorization";

    public static final String HEADER_TIME = "time";

    public static final String HEADER_PLATFORM = "platform";

    public static final String HEADER_DEVICE_ID = "deviceId";

    public static final String HEADER_DOMAIN = "domain";

    /**
     * aes相关
     */
    public static final String AES = "AES";
    public static final String AES_MODE_PKCS5 = "AES/CBC/PKCS5Padding";//用这个模式，规则必须为16位
    public static final String AES_MODE_PKCS7 = "AES/CBC/PKCS7Padding";//用这个模式，规则必须为16位
    public static final String AES_RULE = "1234567890123456";//aes密钥

    public static final String MD5 = "MD5";

    public UidGenerator idGen = new UidGenerator(0L, 0L);
}
