package com.qmth.themis.backend.listener.service;

import com.qmth.themis.business.dto.MqDto;

import java.lang.reflect.InvocationTargetException;

/**
 * @Description: mq执行逻辑
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/31
 */
public interface MqAdminLogicService {

    /**
     * mq最大重试次数逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqMaxReconsumeTime(MqDto mqDto, String key);

    /**
     * oe逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqAdminLogic(MqDto mqDto, String key) throws ClassNotFoundException, IllegalAccessException, InstantiationException, NoSuchMethodException, InvocationTargetException;
}
