package com.qmth.themis.business.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.bean.backend.ExamBreachDetailListBean;
import com.qmth.themis.business.bean.backend.ExamBreachListBean;
import com.qmth.themis.business.entity.TEExamBreachLog;

/**
 * @Description: 考生违纪处理 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TEExamBreachLogMapper extends BaseMapper<TEExamBreachLog> {
	public IPage<ExamBreachListBean> getExamBreachPage(IPage<ExamBreachListBean> iPage, @Param("examId") Long examId,
			@Param("activityId") Long activityId, @Param("roomCode") String roomCode,
			@Param("courseCode") String courseCode, @Param("name") String name, @Param("identity") String identity);
	
	public List<ExamBreachDetailListBean> getExamBreachDetailList(@Param("examStudentId") Long examStudentId);

	public IPage<ExamBreachListBean> getExamRevokeBreachPage(IPage<ExamBreachListBean> iPage, @Param("examId") Long examId,
			@Param("activityId") Long activityId, @Param("roomCode") String roomCode,
			@Param("courseCode") String courseCode, @Param("name") String name, @Param("identity") String identity);
}
