package com.qmth.themis.business.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.bean.backend.ExamExceptionDetailListBean;
import com.qmth.themis.business.bean.backend.ExamExceptionListBean;
import com.qmth.themis.business.entity.TIeInvigilateExceptionInfo;

/**
 * @Description: 监考异常信息 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TIeInvigilateExceptionInfoMapper extends BaseMapper<TIeInvigilateExceptionInfo> {
	public IPage<ExamExceptionListBean> getExamExceptionPage(IPage<ExamExceptionListBean> iPage, @Param("examId") Long examId,
			@Param("activityId") Long activityId, @Param("roomCode") String roomCode,
			@Param("courseCode") String courseCode, @Param("name") String name, @Param("identity") String identity);
	
	public List<ExamExceptionDetailListBean> getExamExceptionDetailList(@Param("examStudentId") Long examStudentId);
}
