package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.dto.response.TBUserDto;
import com.qmth.themis.business.entity.TBUser;

import java.util.Map;

/**
 * @Description: 用户 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TBUserService extends IService<TBUser> {

    /**
     * 用户查询
     *
     * @param iPage
     * @param id
     * @param loginName
     * @param name
     * @param role
     * @param enable
     * @return
     */
    IPage<TBUserDto> userQuery(IPage<Map> iPage, Long id, String loginName, String name, String role, Integer enable);
}
