package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TOeExamBreakHistory;
import com.qmth.themis.business.enums.VerifyExceptionEnum;

/**
 * @Description: 考试断点记录 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TOeExamBreakHistoryService extends IService<TOeExamBreakHistory> {

	/**保存验证信息
	 * @param recordId
	 * @param entryAuthenticationId
	 * @param entryAuthenticationResult
	 */
	void saveAuthenticationResult(Long recordId, Long entryAuthenticationId, VerifyExceptionEnum entryAuthenticationResult);

}
